#!/bin/sh
# This script compiles the MegaRAID MOFs into Pegasus CIMOM, the MegaRAID
# MOFs should already have been placed in the directory sepecified under MOF_DIR 

# Set ENVIRONMENT variables that identify install locations of Pegasus

export CIMMOF=/usr/bin/cimmof
export MOF_DIR=/opt/lsi/mof

#Extract the major version and minor version of the tog-pegasus which is installed on the setup.
majorVersion=$(rpm -qa|grep -i tog-pegasus-2|cut -d - -f 3|cut -d . -f 2)
minorVersion=$(rpm -qa|grep -i tog-pegasus-2|cut -d - -f 3|cut -d . -f 3)

#From 2.12.1 tog-pegasus version onwards,the interop namespace is root/Interop and prior to that it is root/PG_Interop
if [ $majorVersion -ge 12 -a $minorVersion -gt 0 ] ; then
         InteropNamespace='root/interop'
else
         InteropNamespace='root/pg_interop'
fi

# Compile the registration and server profile instance into the interop namespace
$CIMMOF -w -n$InteropNamespace -I$MOF_DIR -aE $MOF_DIR/InternalRAID_R_13.mof

$CIMMOF -w -n$InteropNamespace -I$MOF_DIR -aE $MOF_DIR/ServerProfile_13.mof

$CIMMOF -w -n$InteropNamespace -I$MOF_DIR -aE $MOF_DIR/ServerProfile_R_13.mof

# Compile the GENERIC namespace
$CIMMOF -w -nroot/LsiMr13 -I$MOF_DIR -aE $MOF_DIR/InternalRAID_13.mof

